_=[[hilfepic.lua
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
Author: modall
Version 0.9 - 2015-08-19

Frei verwendbar - keine erlaubnis nötig. In Deinem Mod verwenden, modifizieren! (bitte Credits geben, Modder respektieren)
Free for use - no permission needed. Use in your mod, modify! (Please give credits, respect modders)
--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
Anleitung:

Dieses Script ermoeglicht die Anzeige eines Bildes (Hilfe) ingame.
Mache ein Bild mit 1024x512 und speichere als [DeinMod]/textures/hilfepic.dds
(lua fester Pfad, sorry, aendern in Zeile 83, wenn noetig)

Trage in die moddesc.xml Folgendes ein:
(Passe Texte <de>Hilfe</de> <en>Help</en> <fr>Aide</fr> <pl>???</pl> <ru>???</ru> und "InputBindings" an nach Wunsch)

--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------
HowTo:

This script allows to display a picture (help) ingame.
Make a picture in 1024x512 and save into [YourMod]/textures/hilfepic.dds
(lua fixed path, sorry, change in line 83 if you need to)

Fill the following into moddesc.xml: 
(Adjust texts de>Hilfe</de> <en>Help</en> <fr>Aide</fr> <pl>???</pl> <ru>???</ru> and "InputBindings" to your desire)

--------------------------------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------------------------------

moddesc.xml:

<specializations>
    <specialization name="hilfepic" className="hilfepic" filename="hilfepic.lua"/> 
</specializations>


<vehicleTypes>
    <type name="...">
        <specialization name="hilfepic"/>
    </type>
</vehicleTypes>


<l10n>
    <text name="HILFE">    <de>Hilfe</de>        <en>Help</en>        </text>
    <text name="HILFEAN">    <de>Hilfe an</de>    <en>Help on</en>    </text>
    <text name="HILFEAUS">    <de>Hilfe aus</de>    <en>Help off</en>    </text>
</l10n>


<inputBindings>
    <input name="HILFE" key1="KEY_lalt KEY_KP_0" button="" />
</inputBindings>

--------------------------------------------------------------------------------------------------------------------------------
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

Das folgende Script nicht ändern, wenn Du nicht nicht weisst was Du tust, oder Dein PC explodiert und 1024 Panda-Baeren sterben!
Don't modify the following script, if you don't know what you are doing, or your pc will explode or 1024 panda bears die!

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
--------------------------------------------------------------------------------------------------------------------------------
]]

hilfepic = {};

print("hilfepic 0.9 von modall geladen");

function hilfepic.prerequisitesPresent(specializations)
    return true;
end;

function hilfepic:load(savegame)
    self.hilfe = false;

    self.HILFEAN = g_i18n:getText("HILFEAN")
    self.HILFEAUS = g_i18n:getText("HILFEAUS")

    self.menuepic = Utils.getFilename("textures/hilfepic.dds", self.baseDirectory);
    self.hilfePoxX = 0.25;
    self.hilfePoxY = 0.25;
    self.hilfeWidth = 0.5;
    self.hilfeHeight = 0.444;
    self.hilfeOverlay = Overlay:new("hilfe", self.menuepic, self.hilfePoxX, self.hilfePoxY, self.hilfeWidth, self.hilfeHeight);

end;

function hilfepic:delete()
end;

function hilfepic:mouseEvent(posX, posY, isDown, isUp, button)
end;

function hilfepic:keyEvent(unicode, sym, modifier, isDown)
end;

function hilfepic:update(dt)
    if self:getIsActiveForInput() then
        if InputBinding.hasEvent(InputBinding.HILFE) then
            self.hilfe = not self.hilfe;
        end;
    end;
end;

function hilfepic:updateTick(dt)
end;

function hilfepic:draw()
    if self.hilfeOverlay ~= nil then
        if not self.hilfe then
            g_currentMission:addHelpButtonText(g_i18n:getText("HILFEAN"), InputBinding.HILFE);
        else
            g_currentMission:addHelpButtonText(g_i18n:getText("HILFEAUS"), InputBinding.HILFE);
            self.hilfeOverlay:render();
        end;
    end;
end;  

function hilfepic:onLeave()
    self.hilfe = false;
end;